services:
  oceanbase:
    image: oceanbase/oceanbase-ce:4.3.5-lts
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_MYSQL}:2881
    environment:
      MODE: mini
      OB_CLUSTER_NAME: ob_1panel
      OB_MEMORY_LIMIT: ${OB_MEMORY_LIMIT}G
      OB_DATAFILE_SIZE: ${OB_DATAFILE_SIZE}G
      OB_LOG_DISK_SIZE: ${OB_LOG_DISK_SIZE}G
      OB_SYS_PASSWORD: ${OB_SYS_PASSWORD}
      OB_TENANT_NAME: ${OB_TENANT_NAME}
    volumes:
      - ${OB_MOUNT_PATH}/ob:/root/ob
      - ./data/.obd/cluster:/root/.obd/cluster
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
